<!DOCTYPE html>
<html lang="ca">
<head>
  <meta charset="utf-8">
  <style media="screen">
    .vermell {color: red;}
    table, th, td {
      border: 1px solid black;
      border-collapse: collapse;
    }
     th, td{
      padding: 15px;
      text-align: left;
      background-color: #D2FFF2;
    }
    tr, th {
      background-color: pink;
    }

  </style>
  <title>Com fer una taula?</title>
</head>
<body>
  <h2>DEFINIR UNA TAULA AMB HTML</h2>
  <p>Una taula html es defineix amb <b>&lt;table&gt;</b></p>

  <p>Cada fila de taula es defineix amb l'etiqueta <b>&lt;tr&gt;</b>.
   El encapçalament de la taula es defineix amb l'etiqueta <b>&lt;th&gt;</b>.
   De manera predeterminada, els encapçalaments de taula són en negreta i centrats.
   Les dades / cel·les de la taula es defineixen amb l'etiqueta <b>&lt;td&gt;</b>.
  </p>

    <b class= "vermell">EXEMPLE:</b>


  <table id = "tabla1" style="width:100%">
   <tr>
     <th>ESCOLA</th>
     <th>CLASE</th>
     <th>ALUMNE</th>
   </tr>
   <tr>
     <td>Ies Sabadell</td>
     <td>C4</td>
     <td>Marcos Vilchez</td>
   </tr>
   <tr>
     <td>Ies Pacoler</td>
     <td>GT45</td>
     <td>Pedro Marques</td>
   </tr>
 </table>


<b class="vermell">Significat de cada etiqueta:</b>
<p></p>

  <table id = "tabla2">

<tr>
  <th>Etiqueta</th>
  <th>Descripció</th>
</tr>
<tr>
  <td>&lt;table&gt;</td>
  <td>Defineix la taula</td>
</tr>
<tr>
  <td>&lt;th&gt;</td>
  <td>Defineix una cel·la de capçalera en una taula</td>
</tr>
<tr>
  <td>&lt;tr&gt;</td>
  <td>Defineix una fila en una taula</td>
</tr>
<tr>
  <td>&lt;td&gt;</td>
  <td>Defineix una cel·la en una taula</td>
</tr>
<tr>
  <td>&lt;caption&gt;</td>
  <td>Defineix un títol de la taula</td>
</tr>
<tr>
  <td>&lt;colgroup&gt;</td>
  <td>Especifica un grup d'una o més columnes en una taula per al format</td>
</tr>
<tr>
  <td>&lt;col&gt;</td>
  <td>Especifica les propietats de columna de cada columna dins d'un &lt;colgroup&gt; element</td>
</tr>
<tr>
  <td>&lt;thead&gt;</td>
  <td>Agrupa el contingut de la capçalera en una taula</td>
</tr>
<tr>
  <td>&lt;tbody&gt;</td>
  <td>Agrupa el contingut del cos en una taula</td>
</tr>
<tr>
  <td>&lt;tfoot&gt;</td>
<td>Agrupa el contingut del peu de pàgina en una taula</td>
</tr>
</table>

<b class= "vermell">EXEMPLE:</b>
<p>L'element <i>caption</i> </p>

  <table>
    <caption><strong style="color:green">Alumnes</strong></caption> <!--L'element caption define el titol de la taula-->
     <tr>
       <th>Nom</th>
       <th>Cognom</th>
       <th>Anys</th>
     </tr>

     <tr>
       <td>Sebas</td>
       <td>Miranda</td>
       <td>19</td>
     </tr>

     <tr>
       <td>Marcos</td>
       <td>Vilchez</td>
       <td>18</td>
     </tr>
  </table>

    <p>&lt;colgroup&gt;</p>
        <p>&lt; span ="2" style="background-color:pink"&gt;</p>
        <p>&lt; style="background-color:#D2FFF2"&gt;</p>
    <p>&lt;colgroup&gt;</p>




  <table>


   <colgroup>
     <col span ="2" style="background-color:pink">
     <col style="background-color:#D2FFF2">
   </colgroup>
   <tr>
     <th>ISBN</th>
     <th>Title</th>
     <th>Price</th>
   </tr>
   <tr>
     <td>3476546</td>
     <td>My first HTML</td>
     <td>$53</td>
     </tr>
    <tr>
     <td>3876125</td>
     <td>My second HTML</td>
     <td>$60</td>
   </tr>
  </table>
  <p>

      <b class= "vermell">EXEMPLE:</b>
  <p><i>tfoot</i></p>

  <table>
   <thead>
     <tr>
       <th>Month</th>
       <th>Savings</th>
     </tr>
   </thead>
   <tbody>
     <tr>
       <td>January</td>
       <td>$100</td>
     </tr>
     <tr>
       <td>February</td>
       <td>$80</td>
     </tr>
   </tbody>
   <tfoot>
     <tr>
       <td>Sum</td>
       <td>$180</td>
     </tr>
   </tfoot>
  </table>



</body>

</html>
